Cancel a Verification

Deprecated
Cancels a Verification request, provided the request is not already in a terminal State.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

verification_request_idstringRequired
Verification ID

Headers

Accept"application/json"Required
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.

Request

This endpoint expects an object.
cancellation_reasonenumRequired
| VALUE | DESCRIPTION | | -------------------- | ---------------------------------------------------------------------------------------------------- | | immediate | Can be used to cancel a request directly after submitting, before Truework has started processing it | | high-turnaround-time | The request is taking longer than expected | | competitor | You preferred a competitor for this request | | wrong-info | The request that is submitted contains information that is wrong | | other | No other reason in the list fits the cancellation reason |
Allowed values:
cancellation_detailsstringOptional

Free form text on the details; can be blank

Response

OK
createddatetime
idstring1-128 characters
priceobject
Currently we only support USD as currency. Currency amounts are represented as strings with two decimal precision, e.g. "34.95".
stateenum

The state helps convey where the verification request is in the Truework process. It will be returned in the JSON objects returned from this endpoint.

The initial state of all Schemas is pending-approval, and will switch to processing once Truework begins to process the request. However, it may switch back to pending-approval if it is pending approval by the target.

The states completed, canceled, invalid are all terminal states of a Verification. A Report is only available when it is in the completed state. A Verification will enter the state canceled when either Truework or an API user cancels the request. The invalid state indicates that there are issues with the data e.g. we could not locate the employee at a given employer, or could not find the employer itself.

VALUEDESCRIPTION
pending-approvalThe initial state after creation; the Truework team has not started working on this request yet
action-requiredA user action is required to continue processing this request; visit the dashboard for more information
invalidContains invalid information that prevents the verification request from being processed by Truework
processingThe Truework team is currently working on the verification request
completedThe verification request has been completed and a report can be found from the reports endpoint
canceledTruework denied processing of the request or the verifier no longer wants the request to be processed
otherNo other value fits the state of this verification request
turnaround_timeobject
cancellation_detailsstring

The details for the cancellation; only present when state is canceled

cancellation_reasonenum
VALUEDESCRIPTION
immediateCan be used to cancel a request directly after submitting, before Truework has started processing it
high-turnaround-timeThe request is taking longer than expected
competitorYou preferred a competitor for this request
wrong-infoThe request that is submitted contains information that is wrong
no-matchNo record was located for the given target and request parameters
otherNo other reason in the list fits the cancellation reason
date_of_completiondatetime
The date when this verification was completed in ISO 8601 format
loan_idstring
The loan id associated with the verification request

Errors

400
Cancel Averification Request Bad Request Error
401
Cancel Averification Request Unauthorized Error
403
Cancel Averification Request Forbidden Error
404
Cancel Averification Request Not Found Error
406
Cancel Averification Request Not Acceptable Error
429
Cancel Averification Request Too Many Requests Error
451
Cancel Averification Request Unavailable for Legal Reasons Error
500
Cancel Averification Request Internal Server Error
501
Cancel Averification Request Not Implemented Error